
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wcs_base_dictionary")]
    public class BaseDictionary
    {

        [Key]
        [Column("objid")]
        public long objid { get; set; }

        /// <summary>
        /// 字典名
        /// </summary>
        [Column("dic_name")]
        public string dicName { get; set; }

        /// <summary>
        /// 字段名
        /// </summary>
        [Column("dic_field")]
        public string dicField { get; set; }

        /// <summary>
        /// 对应名
        /// </summary>
        [Column("dic_key")]
        public string dicKey { get; set; }

        /// <summary>
        /// 对应值
        /// </summary>
        [Column("dic_value")]
        public string dicValue { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Column("dic_sort")]
        public string dicSort { get; set; }

        /// <summary>
        /// 是否允许编辑  1允许 0不允许
        /// </summary>
        [Column("is_edit")]
        public int? isEdit { get; set; }

        /// <summary>
        /// 是否可用  0:不可用  1:可用
        /// </summary>
        [Column("use_flag")]
        public int? useFlag { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [Column("update_time")]
        public DateTime? updateTime { get; set; }

        /// <summary>
        /// 备用字段1
        /// </summary>
        [Column("agv_type")]
        public string agvType { get; set; }

        /// <summary>
        /// 备用字段2
        /// </summary>
        [Column("agv_task_type")]
        public string agvTaskType { get; set; }

        /// <summary>
        /// 备用字段3
        /// </summary>
        [Column("to_plc")]
        public string ToPlc { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Column("remark")]
        public string remark { get; set; }
    }
}

